# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'can_field/version'

Gem::Specification.new do |spec|
  spec.name          = "can_field"
  spec.version       = CanField::VERSION
  spec.authors       = ["Roman Kolesnev"]
  spec.email         = ["rvkolesnev@gmail.com"]
  spec.description   = %q{CanCan constraints for fields using strong_parameters}
  spec.summary       = %q{This gem provide extension for CanCan and some new helpers for restrict access on field level.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'cancan'
  spec.add_dependency 'strong_parameters'
  spec.add_dependency 'rails', '< 4.0.0'

  spec.add_development_dependency "bundler", ">= 1.2.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "active_attr"
end
